Get Contact
curl --request GET \
--url https://api.example.com/api/v1/contacts/{contact_id}import requests
url = "https://api.example.com/api/v1/contacts/{contact_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"source": "<string>",
"is_opted_out": true,
"tags": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"email": "<string>",
"whatsapp_name": "<string>",
"profile_picture_url": "<string>",
"custom_fields": {},
"source_details": "<string>",
"opted_out_at": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_message_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}contacts
Get Contact
Get a single contact by ID.
GET
/
api
/
v1
/
contacts
/
{contact_id}
Get Contact
curl --request GET \
--url https://api.example.com/api/v1/contacts/{contact_id}import requests
url = "https://api.example.com/api/v1/contacts/{contact_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"source": "<string>",
"is_opted_out": true,
"tags": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"email": "<string>",
"whatsapp_name": "<string>",
"profile_picture_url": "<string>",
"custom_fields": {},
"source_details": "<string>",
"opted_out_at": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_message_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Response
Successful Response
Single contact response.